Create form
Create a new form in the account.
Authorization
authorization In: header
Request Body
application/json
Form params
TypeScript Definitions
Use the request body type in TypeScript.
Request schema for creating a form.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/forms" \ -H "Content-Type: application/json" \ -d '{ "fields": [ { "key": "full_name", "label": "Full Name", "position": 0, "required": true, "type": "short_text" } ], "internal_name": "Intake Form" }'{ "data": { "created_at": "2025-02-17T17:49:19Z", "field_count": 1, "fields": [ { "description": null, "id": "ff_abc123", "key": "full_name", "label": "Full Name", "must_be_true": false, "options": null, "position": 0, "required": true, "sensitive": false, "type": "short_text" } ], "id": "frm_d025a96ac0c6", "internal_name": "Intake Form", "object": "form", "updated_at": "2025-02-17T17:49:19Z" }}Create dashboard session POST
The Dashboard Sessions API allows you to generate a short-lived session link that grants an account member access to the dashboard without requiring login credentials. This is useful for creating seamless, secure login experiences from external systems or integrations. Before you can generate a session link for someone, you'll need to add them to your SavvyCal account. You can do this by navigating to [Settings → Members & permissions](https://savvycal.app/users) and following the instructions to add a new user. Alternatively, you may use the [Create account user API](https://developers.savvycal.app/api/create-account-user) to add them programmatically. The `user_id` property property can be retrieved from the [List account users API](https://developers.savvycal.app/api/list-account-users), or by copying it directly from the [Settings → Members & permissions](https://savvycal.app/users) page. To sign the user in, redirect the browser to the dashboard session `url` returned in the response. ## Example Flow 1. User clicks a button in your application to "Manage appointments". 2. Your application receives this request and creates a dashboard session via the API. 3. Your application redirects the user to the dashboard session URL. 4. The user is automatically signed in to the dashboard and redirected to the home screen.
Delete form DELETE
Delete an existing form.